# ReflectionClass::getDocComment

(PHP 5, PHP 7)

ReflectionClass::getDocComment — Gets doc comments

### Description

public ReflectionClass::getDocComment ( void ) : string

Gets doc comments from a class. Doc comments start with /**. If there are multiple doc comments above the class definition, the one closest to the class will be taken.

### Parameters

This function has no parameters.

### Return Values

The doc comment if it exists, otherwise `FALSE`

### Examples

Example #1 ReflectionClass::getDocComment() example

`<?php
/**
* A test class
*
* @param foo bar
* @return baz
*/
class TestClass { }
$rc = new ReflectionClass('TestClass');
var_dump($rc->getDocComment())
?>`

The above example will output:

    string(55) "/**
    * A test class
    *
    * @param  foo bar
    * @return baz
    */"

### See Also

- ReflectionClass::getName() - Gets class name